module DohWeb

# this is a simplified version of Rails ActiveSupport::Inflector.humanize
def humanize(lower_case_and_underscored_word)
  retval = lower_case_and_underscored_word.to_s.dup
  retval.gsub!(/_id$/, "")
  retval.gsub!(/_/, ' ')
  retval.gsub(/([a-z\d]*)/i) { |match| "#{match.downcase}" }.gsub(/^\w/) { $&.upcase }
end

# this is a simplified version of Rails ActionView::Helpers::TextHelper.cycle
# it only supports a single active cycle at a name, and no options
def cycle(*values)
  if values != @cycle_values
    @cycle_values = values
    @cycle_index = 0
  else
    @cycle_index += 1
    @cycle_index = 0 if @cycle_index >= @cycle_values.size
  end
  @cycle_values[@cycle_index]
end

end
